Texa DeskDevelopers

Texa Desk Application API · Inboxes

Update Inbox

PATCH/api/v1/accounts/{account_id}/inboxes/{id}

Update an existing inbox

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the inbox

Body application/json

namestring

The name of the inbox.

avatarstring (binary)

Image file for avatar.

greeting_enabledboolean

Enable greeting message.

greeting_messagestring

Greeting message to send when greeting messages are enabled.

enable_email_collectboolean

Enable email collection.

Available for: Website

csat_survey_enabledboolean

Enable CSAT survey.

csat_configobject

CSAT survey configuration.

csat_config.display_typestring

Display style for the CSAT survey. One of: emoji, star.

csat_config.messagestring

Message shown with the CSAT survey.

csat_config.button_textstring

Text shown on the CSAT survey button.

csat_config.languagestring

Language code for the CSAT survey.

csat_config.survey_rulesobject

Rules that decide when to show the CSAT survey.

csat_config.survey_rules.operatorstring
csat_config.survey_rules.valuesarray of string
enable_auto_assignmentboolean

Enable Auto Assignment.

working_hours_enabledboolean

Enable working hours.

out_of_office_messagestring

Out of office message to send outside working hours.

timezonestring

Timezone of the inbox.

allow_messages_after_resolvedboolean

Allow messages after conversation is resolved.

Available for: Website

lock_to_single_conversationboolean

Lock contact messages to a single active conversation.

Available for: API LINE Telegram WhatsApp SMS

portal_idinteger

Id of the help center portal to attach to the inbox.

sender_name_typestring

Sender name type for outbound email replies.

Available for: Website Email One of: friendly, professional.

business_namestring

Business name for outbound email replies.

Available for: Website Email

branded_email_layoutstring

Liquid HTML layout for outbound email replies. Must include {{ content_for_layout }} and be 262,144 characters or shorter.

Available for: Email

channelobject or object or object

Responses

200

Success

idnumber

ID of the inbox

namestring

The name of the inbox

website_urlstring

Website URL

page_idstring

Facebook Page ID associated with the inbox

instagram_idstring

Instagram account ID associated with the inbox

business_idstring

TikTok business ID associated with the inbox

provider_namestring

Provider username or page name associated with the social inbox

profile_idstring

X profile ID associated with the inbox

line_channel_idstring

LINE channel ID associated with the inbox

emailstring

Email address associated with the inbox

bot_namestring

Telegram bot name associated with the inbox

inbox_identifierstring

Public identifier associated with an API inbox

channel_typestring

The type of the inbox

avatar_urlstring

The avatar image of the inbox

widget_colorstring

Widget Color used for customization of the widget

website_tokenstring

Website Token

enable_auto_assignmentboolean

The flag which shows whether Auto Assignment is enabled or not

web_widget_scriptstring

Script used to load the website widget

welcome_titlestring

Welcome title to be displayed on the widget

welcome_taglinestring

Welcome tagline to be displayed on the widget

greeting_enabledboolean

The flag which shows whether greeting is enabled

greeting_messagestring

A greeting message when the user starts the conversation

channel_idnumber

ID of the channel this inbox belongs to

working_hours_enabledboolean

The flag which shows whether working hours feature is enabled

enable_email_collectboolean

The flag to enable collecting email from contacts

csat_survey_enabledboolean

The flag to enable CSAT survey

auto_assignment_configobject

Configuration settings for auto assignment

out_of_office_messagestring

Message to show when agents are out of office

working_hoursarray of object

Configuration for working hours of the inbox

working_hours[].day_of_weeknumber

Day of the week (0-6, where 0 is Sunday)

working_hours[].closed_all_dayboolean

Whether the inbox is closed for the entire day

working_hours[].open_hournumber

Hour when inbox opens (0-23)

working_hours[].open_minutesnumber

Minutes of the hour when inbox opens (0-59)

working_hours[].close_hournumber

Hour when inbox closes (0-23)

working_hours[].close_minutesnumber

Minutes of the hour when inbox closes (0-59)

working_hours[].open_all_dayboolean

Whether the inbox is open for the entire day

timezonestring

Timezone configuration for the inbox

callback_webhook_urlstring

Webhook URL for callbacks

allow_messages_after_resolvedboolean

Whether to allow messages after a conversation is resolved

lock_to_single_conversationboolean

Whether to lock a contact to a single conversation

sender_name_typestring

Type of sender name to display (e.g., friendly)

business_namestring

Business name associated with the inbox

branded_email_layoutstring

Liquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.

hmac_mandatoryboolean

Whether HMAC verification is mandatory

selected_feature_flagsarray of string

Selected feature flags for the inbox

reply_timestring

Expected reply time

messaging_service_sidstring

Messaging service SID for SMS providers

phone_numberstring

Phone number associated with the inbox

mediumstring

Medium of communication (e.g., sms, email)

providerstring

Provider of the channel

404

Inbox not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring